<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8"/>
    <title>Test Report</title>
    <style>body {
	font-family: Helvetica, Arial, sans-serif;
	font-size: 12px;
	/* do not increase min-width as some may use split screens */
	min-width: 800px;
	color: #999;
}

h1 {
	font-size: 24px;
	color: black;
}

h2 {
	font-size: 16px;
	color: black;
}

p {
    color: black;
}

a {
	color: #999;
}

table {
	border-collapse: collapse;
}

/******************************
 * SUMMARY INFORMATION
 ******************************/

#environment td {
	padding: 5px;
	border: 1px solid #E6E6E6;
}

#environment tr:nth-child(odd) {
	background-color: #f6f6f6;
}

/******************************
 * TEST RESULT COLORS
 ******************************/
span.passed, .passed .col-result {
	color: green;
}
span.skipped, span.xfailed, span.rerun, .skipped .col-result, .xfailed .col-result, .rerun .col-result {
	color: orange;
}
span.error, span.failed, span.xpassed, .error .col-result, .failed .col-result, .xpassed .col-result  {
	color: red;
}


/******************************
 * RESULTS TABLE
 *
 * 1. Table Layout
 * 2. Extra
 * 3. Sorting items
 *
 ******************************/

/*------------------
 * 1. Table Layout
 *------------------*/

#results-table {
	border: 1px solid #e6e6e6;
	color: #999;
	font-size: 12px;
	width: 100%
}

#results-table th, #results-table td {
	padding: 5px;
	border: 1px solid #E6E6E6;
	text-align: left
}
#results-table th {
	font-weight: bold
}

/*------------------
 * 2. Extra
 *------------------*/

.log:only-child {
	height: inherit
}
.log {
	background-color: #e6e6e6;
	border: 1px solid #e6e6e6;
	color: black;
	display: block;
	font-family: "Courier New", Courier, monospace;
	height: 230px;
	overflow-y: scroll;
	padding: 5px;
	white-space: pre-wrap
}
div.image {
	border: 1px solid #e6e6e6;
	float: right;
	height: 240px;
	margin-left: 5px;
	overflow: hidden;
	width: 320px
}
div.image img {
	width: 320px
}
div.video {
	border: 1px solid #e6e6e6;
	float: right;
	height: 240px;
	margin-left: 5px;
	overflow: hidden;
	width: 320px
}
div.video video {
	overflow: hidden;
	width: 320px;
    height: 240px;
}
.collapsed {
	display: none;
}
.expander::after {
	content: " (show details)";
	color: #BBB;
	font-style: italic;
	cursor: pointer;
}
.collapser::after {
	content: " (hide details)";
	color: #BBB;
	font-style: italic;
	cursor: pointer;
}

/*------------------
 * 3. Sorting items
 *------------------*/
.sortable {
	cursor: pointer;
}

.sort-icon {
	font-size: 0px;
	float: left;
	margin-right: 5px;
	margin-top: 5px;
	/*triangle*/
	width: 0;
	height: 0;
	border-left: 8px solid transparent;
	border-right: 8px solid transparent;
}

.inactive .sort-icon {
	/*finish triangle*/
	border-top: 8px solid #E6E6E6;
}

.asc.active .sort-icon {
	/*finish triangle*/
	border-bottom: 8px solid #999;
}

.desc.active .sort-icon {
	/*finish triangle*/
	border-top: 8px solid #999;
}
</style></head>
  <body onLoad="init()">
    <script>/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this file,
 * You can obtain one at http://mozilla.org/MPL/2.0/. */


function toArray(iter) {
    if (iter === null) {
        return null;
    }
    return Array.prototype.slice.call(iter);
}

function find(selector, elem) {
    if (!elem) {
        elem = document;
    }
    return elem.querySelector(selector);
}

function find_all(selector, elem) {
    if (!elem) {
        elem = document;
    }
    return toArray(elem.querySelectorAll(selector));
}

function sort_column(elem) {
    toggle_sort_states(elem);
    var colIndex = toArray(elem.parentNode.childNodes).indexOf(elem);
    var key;
    if (elem.classList.contains('numeric')) {
        key = key_num;
    } else if (elem.classList.contains('result')) {
        key = key_result;
    } else {
        key = key_alpha;
    }
    sort_table(elem, key(colIndex));
}

function show_all_extras() {
    find_all('.col-result').forEach(show_extras);
}

function hide_all_extras() {
    find_all('.col-result').forEach(hide_extras);
}

function show_extras(colresult_elem) {
    var extras = colresult_elem.parentNode.nextElementSibling;
    var expandcollapse = colresult_elem.firstElementChild;
    extras.classList.remove("collapsed");
    expandcollapse.classList.remove("expander");
    expandcollapse.classList.add("collapser");
}

function hide_extras(colresult_elem) {
    var extras = colresult_elem.parentNode.nextElementSibling;
    var expandcollapse = colresult_elem.firstElementChild;
    extras.classList.add("collapsed");
    expandcollapse.classList.remove("collapser");
    expandcollapse.classList.add("expander");
}

function show_filters() {
    var filter_items = document.getElementsByClassName('filter');
    for (var i = 0; i < filter_items.length; i++)
        filter_items[i].hidden = false;
}

function add_collapse() {
    // Add links for show/hide all
    var resulttable = find('table#results-table');
    var showhideall = document.createElement("p");
    showhideall.innerHTML = '<a href="javascript:show_all_extras()">Show all details</a> / ' +
                            '<a href="javascript:hide_all_extras()">Hide all details</a>';
    resulttable.parentElement.insertBefore(showhideall, resulttable);

    // Add show/hide link to each result
    find_all('.col-result').forEach(function(elem) {
        var collapsed = get_query_parameter('collapsed') || 'Passed';
        var extras = elem.parentNode.nextElementSibling;
        var expandcollapse = document.createElement("span");
        if (extras.classList.contains("collapsed")) {
            expandcollapse.classList.add("expander")
        } else if (collapsed.includes(elem.innerHTML)) {
            extras.classList.add("collapsed");
            expandcollapse.classList.add("expander");
        } else {
            expandcollapse.classList.add("collapser");
        }
        elem.appendChild(expandcollapse);

        elem.addEventListener("click", function(event) {
            if (event.currentTarget.parentNode.nextElementSibling.classList.contains("collapsed")) {
                show_extras(event.currentTarget);
            } else {
                hide_extras(event.currentTarget);
            }
        });
    })
}

function get_query_parameter(name) {
    var match = RegExp('[?&]' + name + '=([^&]*)').exec(window.location.search);
    return match && decodeURIComponent(match[1].replace(/\+/g, ' '));
}

function init () {
    reset_sort_headers();

    add_collapse();

    show_filters();

    sort_column(find('.initial-sort'));

    find_all('.sortable').forEach(function(elem) {
        elem.addEventListener("click",
                              function(event) {
                                  sort_column(elem);
                              }, false)
    });

};

function sort_table(clicked, key_func) {
    var rows = find_all('.results-table-row');
    var reversed = !clicked.classList.contains('asc');
    var sorted_rows = sort(rows, key_func, reversed);
    /* Whole table is removed here because browsers acts much slower
     * when appending existing elements.
     */
    var thead = document.getElementById("results-table-head");
    document.getElementById('results-table').remove();
    var parent = document.createElement("table");
    parent.id = "results-table";
    parent.appendChild(thead);
    sorted_rows.forEach(function(elem) {
        parent.appendChild(elem);
    });
    document.getElementsByTagName("BODY")[0].appendChild(parent);
}

function sort(items, key_func, reversed) {
    var sort_array = items.map(function(item, i) {
        return [key_func(item), i];
    });

    sort_array.sort(function(a, b) {
        var key_a = a[0];
        var key_b = b[0];

        if (key_a == key_b) return 0;

        if (reversed) {
            return (key_a < key_b ? 1 : -1);
        } else {
            return (key_a > key_b ? 1 : -1);
        }
    });

    return sort_array.map(function(item) {
        var index = item[1];
        return items[index];
    });
}

function key_alpha(col_index) {
    return function(elem) {
        return elem.childNodes[1].childNodes[col_index].firstChild.data.toLowerCase();
    };
}

function key_num(col_index) {
    return function(elem) {
        return parseFloat(elem.childNodes[1].childNodes[col_index].firstChild.data);
    };
}

function key_result(col_index) {
    return function(elem) {
        var strings = ['Error', 'Failed', 'Rerun', 'XFailed', 'XPassed',
                       'Skipped', 'Passed'];
        return strings.indexOf(elem.childNodes[1].childNodes[col_index].firstChild.data);
    };
}

function reset_sort_headers() {
    find_all('.sort-icon').forEach(function(elem) {
        elem.parentNode.removeChild(elem);
    });
    find_all('.sortable').forEach(function(elem) {
        var icon = document.createElement("div");
        icon.className = "sort-icon";
        icon.textContent = "vvv";
        elem.insertBefore(icon, elem.firstChild);
        elem.classList.remove("desc", "active");
        elem.classList.add("asc", "inactive");
    });
}

function toggle_sort_states(elem) {
    //if active, toggle between asc and desc
    if (elem.classList.contains('active')) {
        elem.classList.toggle('asc');
        elem.classList.toggle('desc');
    }

    //if inactive, reset all other functions and add ascending active
    if (elem.classList.contains('inactive')) {
        reset_sort_headers();
        elem.classList.remove('inactive');
        elem.classList.add('active');
    }
}

function is_all_rows_hidden(value) {
  return value.hidden == false;
}

function filter_table(elem) {
    var outcome_att = "data-test-result";
    var outcome = elem.getAttribute(outcome_att);
    class_outcome = outcome + " results-table-row";
    var outcome_rows = document.getElementsByClassName(class_outcome);

    for(var i = 0; i < outcome_rows.length; i++){
        outcome_rows[i].hidden = !elem.checked;
    }

    var rows = find_all('.results-table-row').filter(is_all_rows_hidden);
    var all_rows_hidden = rows.length == 0 ? true : false;
    var not_found_message = document.getElementById("not-found-message");
    not_found_message.hidden = !all_rows_hidden;
}
</script>
    <h1>report.html</h1>
    <p>Report generated on 26-Sep-2021 at 17:14:08 by <a href="https://pypi.python.org/pypi/pytest-html">pytest-html</a> v2.1.1</p>
    <h2>Environment</h2>
    <table id="environment">
      <tr>
        <td>Packages</td>
        <td>{"pluggy": "1.0.0", "py": "1.10.0", "pytest": "6.2.5"}</td></tr>
      <tr>
        <td>Platform</td>
        <td>Darwin-20.6.0-x86_64-i386-64bit</td></tr>
      <tr>
        <td>Plugins</td>
        <td>{"Faker": "8.14.0", "flaky": "3.7.0", "html": "2.1.1", "json": "0.4.0", "metadata": "1.11.0"}</td></tr>
      <tr>
        <td>Python</td>
        <td>3.7.3</td></tr></table>
    <h2>Summary</h2>
    <p>17 tests ran in 15.27 seconds. </p>
    <p class="filter" hidden="true">(Un)check the boxes to filter the results.</p><input checked="true" class="filter" data-test-result="passed" hidden="true" name="filter_checkbox" onChange="filter_table(this)" type="checkbox"/><span class="passed">16 passed</span>, <input checked="true" class="filter" data-test-result="skipped" disabled="true" hidden="true" name="filter_checkbox" onChange="filter_table(this)" type="checkbox"/><span class="skipped">0 skipped</span>, <input checked="true" class="filter" data-test-result="failed" disabled="true" hidden="true" name="filter_checkbox" onChange="filter_table(this)" type="checkbox"/><span class="failed">0 failed</span>, <input checked="true" class="filter" data-test-result="error" disabled="true" hidden="true" name="filter_checkbox" onChange="filter_table(this)" type="checkbox"/><span class="error">0 errors</span>, <input checked="true" class="filter" data-test-result="xfailed" hidden="true" name="filter_checkbox" onChange="filter_table(this)" type="checkbox"/><span class="xfailed">1 expected failures</span>, <input checked="true" class="filter" data-test-result="xpassed" disabled="true" hidden="true" name="filter_checkbox" onChange="filter_table(this)" type="checkbox"/><span class="xpassed">0 unexpected passes</span>
    <h2>Results</h2>
    <table id="results-table">
      <thead id="results-table-head">
        <tr>
          <th class="sortable result initial-sort" col="result">Result</th>
          <th class="sortable" col="name">Test</th>
          <th class="sortable numeric" col="duration">Duration</th>
          <th>Links</th></tr>
        <tr hidden="true" id="not-found-message">
          <th colspan="4">No results found. Try to check the filters</th></tr></thead>
      <tbody class="xfailed results-table-row">
        <tr>
          <td class="col-result">XFailed</td>
          <td class="col-name">api/test_inspect.py::test_inspect_invalid_data[labels0-False-2-expected_label0-]</td>
          <td class="col-duration">0.63</td>
          <td class="col-links"></td></tr>
        <tr>
          <td class="extra" colspan="4">
            <div class="log">labels = [&#x27;email&#x27;], valid_data = False, dataset_per_label = 2, expected_label = [&#x27;EMAIL_ADDRESS&#x27;], likelihood = &#x27;&#x27;<br/><br/>    @pytest.mark.parametrize(&quot;labels,valid_data,dataset_per_label,expected_label,likelihood&quot;,<br/>                             input_data_set,<br/>                             )<br/>    def test_inspect_invalid_data(labels, valid_data, dataset_per_label, expected_label, likelihood):<br/>        data_set = generate_sample_payloads(labels, valid_data, dataset_per_label)<br/>    <br/>        obj = Inspector(<br/>            project_id=&quot;qe-assignment&quot;,<br/>            api_key=os.environ[&#x27;API_KEY&#x27;]<br/>        )<br/>    <br/>        for content in data_set:<br/>            LOGGER.info(&quot;CONTENT: &quot; + content)<br/>            response = obj.inspect(content)<br/>            expected_data = {<br/>                &quot;label&quot;: expected_label,<br/>                &quot;start&quot;: 16,<br/>                &quot;end&quot;: (len(content) - 16),<br/>                &quot;likelihood&quot;: likelihood<br/>            }<br/>    <br/>            v_obj = Validator(response)<br/>&gt;           assert v_obj.validate(expected_data)<br/><span class="error">E           AssertionError: assert False</span><br/><span class="error">E            +  where False = &lt;bound method Validator.validate of &lt;lib.Borneo.Validator.Validator object at 0x103dd8438&gt;&gt;({&#x27;end&#x27;: 24, &#x27;label&#x27;: [&#x27;EMAIL_ADDRESS&#x27;], &#x27;likelihood&#x27;: &#x27;&#x27;, &#x27;start&#x27;: 16})</span><br/><span class="error">E            +    where &lt;bound method Validator.validate of &lt;lib.Borneo.Validator.Validator object at 0x103dd8438&gt;&gt; = &lt;lib.Borneo.Validator.Validator object at 0x103dd8438&gt;.validate</span><br/><br/>tests/api/test_inspect.py:111: AssertionError<br/> ------------------------------Captured stdout call------------------------------ <br/>labels to generate payload for: [&#x27;email&#x27;]
<br/> -------------------------------Captured log call-------------------------------- <br/>[32mINFO    [0m test_inspect:test_inspect.py:101 CONTENT: Sample input is email..email@example.com
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;Sample input is email..email@example.com&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m lib.Borneo.Validator:Validator.py:13 {&#x27;result&#x27;: {&#x27;findings&#x27;: [{&#x27;infoType&#x27;: {&#x27;name&#x27;: &#x27;EMAIL_ADDRESS&#x27;}, &#x27;likelihood&#x27;: &#x27;VERY_LIKELY&#x27;, &#x27;location&#x27;: {&#x27;byteRange&#x27;: {&#x27;start&#x27;: &#x27;23&#x27;, &#x27;end&#x27;: &#x27;40&#x27;}, &#x27;codepointRange&#x27;: {&#x27;start&#x27;: &#x27;23&#x27;, &#x27;end&#x27;: &#x27;40&#x27;}}, &#x27;createTime&#x27;: &#x27;2021-09-26T11:44:04.668Z&#x27;, &#x27;findingId&#x27;: &#x27;2021-09-26T11:44:04.681922Z8567250610784341595&#x27;}]}}
[32mINFO    [0m lib.Borneo.Validator:Validator.py:33 16
[32mINFO    [0m lib.Borneo.Validator:Validator.py:34 23
[32mINFO    [0m lib.Borneo.Validator:Validator.py:39 24
[32mINFO    [0m lib.Borneo.Validator:Validator.py:40 40<br/></div></td></tr></tbody>
      <tbody class="passed results-table-row">
        <tr>
          <td class="col-result">Passed</td>
          <td class="col-name">api/test_inspect.py::test_inspect_custom_data[183.187.109.256-PHONE_NUMBER-likelihood0-None-15]</td>
          <td class="col-duration">0.58</td>
          <td class="col-links"></td></tr>
        <tr>
          <td class="extra" colspan="4">
            <div class="log"> -------------------------------Captured log call-------------------------------- <br/>[32mINFO    [0m test_inspect:test_inspect.py:26 CONTENT: 183.187.109.256
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;183.187.109.256&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m lib.Borneo.Validator:Validator.py:13 {&#x27;result&#x27;: {&#x27;findings&#x27;: [{&#x27;infoType&#x27;: {&#x27;name&#x27;: &#x27;PHONE_NUMBER&#x27;}, &#x27;likelihood&#x27;: &#x27;UNLIKELY&#x27;, &#x27;location&#x27;: {&#x27;byteRange&#x27;: {&#x27;end&#x27;: &#x27;15&#x27;}, &#x27;codepointRange&#x27;: {&#x27;end&#x27;: &#x27;15&#x27;}}, &#x27;createTime&#x27;: &#x27;2021-09-26T11:43:53.798Z&#x27;, &#x27;findingId&#x27;: &#x27;2021-09-26T11:43:53.801273Z741350950208795049&#x27;}]}}<br/></div></td></tr></tbody>
      <tbody class="passed results-table-row">
        <tr>
          <td class="col-result">Passed</td>
          <td class="col-name">api/test_inspect.py::test_inspect_custom_data[183.187.109.255-IP_ADDRESS-likelihood1-None-15]</td>
          <td class="col-duration">0.61</td>
          <td class="col-links"></td></tr>
        <tr>
          <td class="extra" colspan="4">
            <div class="log"> -------------------------------Captured log call-------------------------------- <br/>[32mINFO    [0m test_inspect:test_inspect.py:26 CONTENT: 183.187.109.255
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;183.187.109.255&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m lib.Borneo.Validator:Validator.py:13 {&#x27;result&#x27;: {&#x27;findings&#x27;: [{&#x27;infoType&#x27;: {&#x27;name&#x27;: &#x27;IP_ADDRESS&#x27;}, &#x27;likelihood&#x27;: &#x27;POSSIBLE&#x27;, &#x27;location&#x27;: {&#x27;byteRange&#x27;: {&#x27;end&#x27;: &#x27;15&#x27;}, &#x27;codepointRange&#x27;: {&#x27;end&#x27;: &#x27;15&#x27;}}, &#x27;createTime&#x27;: &#x27;2021-09-26T11:43:54.410Z&#x27;, &#x27;findingId&#x27;: &#x27;2021-09-26T11:43:54.414226Z7604044589596336442&#x27;}]}}<br/></div></td></tr></tbody>
      <tbody class="passed results-table-row">
        <tr>
          <td class="col-result">Passed</td>
          <td class="col-name">api/test_inspect.py::test_inspect_custom_data[abc.187.109.255-PHONE_NUMBER-likelihood2-4-15]</td>
          <td class="col-duration">0.59</td>
          <td class="col-links"></td></tr>
        <tr>
          <td class="extra" colspan="4">
            <div class="log"> -------------------------------Captured log call-------------------------------- <br/>[32mINFO    [0m test_inspect:test_inspect.py:26 CONTENT: abc.187.109.255
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;abc.187.109.255&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m lib.Borneo.Validator:Validator.py:13 {&#x27;result&#x27;: {&#x27;findings&#x27;: [{&#x27;infoType&#x27;: {&#x27;name&#x27;: &#x27;PHONE_NUMBER&#x27;}, &#x27;likelihood&#x27;: &#x27;UNLIKELY&#x27;, &#x27;location&#x27;: {&#x27;byteRange&#x27;: {&#x27;start&#x27;: &#x27;4&#x27;, &#x27;end&#x27;: &#x27;15&#x27;}, &#x27;codepointRange&#x27;: {&#x27;start&#x27;: &#x27;4&#x27;, &#x27;end&#x27;: &#x27;15&#x27;}}, &#x27;createTime&#x27;: &#x27;2021-09-26T11:43:55.006Z&#x27;, &#x27;findingId&#x27;: &#x27;2021-09-26T11:43:55.014775Z2801194161637768039&#x27;}]}}<br/></div></td></tr></tbody>
      <tbody class="passed results-table-row">
        <tr>
          <td class="col-result">Passed</td>
          <td class="col-name">api/test_inspect.py::test_inspect_custom_data[4Y1SL65848Z411439-US_VEHICLE_IDENTIFICATION_NUMBER-likelihood3-None-17]</td>
          <td class="col-duration">0.63</td>
          <td class="col-links"></td></tr>
        <tr>
          <td class="extra" colspan="4">
            <div class="log"> -------------------------------Captured log call-------------------------------- <br/>[32mINFO    [0m test_inspect:test_inspect.py:26 CONTENT: 4Y1SL65848Z411439
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;4Y1SL65848Z411439&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m lib.Borneo.Validator:Validator.py:13 {&#x27;result&#x27;: {&#x27;findings&#x27;: [{&#x27;infoType&#x27;: {&#x27;name&#x27;: &#x27;US_VEHICLE_IDENTIFICATION_NUMBER&#x27;}, &#x27;likelihood&#x27;: &#x27;POSSIBLE&#x27;, &#x27;location&#x27;: {&#x27;byteRange&#x27;: {&#x27;end&#x27;: &#x27;17&#x27;}, &#x27;codepointRange&#x27;: {&#x27;end&#x27;: &#x27;17&#x27;}}, &#x27;createTime&#x27;: &#x27;2021-09-26T11:43:55.604Z&#x27;, &#x27;findingId&#x27;: &#x27;2021-09-26T11:43:55.653083Z4657666170773977088&#x27;}]}}<br/></div></td></tr></tbody>
      <tbody class="passed results-table-row">
        <tr>
          <td class="col-result">Passed</td>
          <td class="col-name">api/test_inspect.py::test_inspect_with_empty_data</td>
          <td class="col-duration">0.56</td>
          <td class="col-links"></td></tr>
        <tr>
          <td class="extra" colspan="4">
            <div class="log"> -------------------------------Captured log call-------------------------------- <br/>[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m test_inspect:test_inspect.py:47 {&#x27;error&#x27;: {&#x27;code&#x27;: 400, &#x27;message&#x27;: &#x27;ContentItem has no data to inspect.&#x27;, &#x27;status&#x27;: &#x27;INVALID_ARGUMENT&#x27;}}<br/></div></td></tr></tbody>
      <tbody class="passed results-table-row">
        <tr>
          <td class="col-result">Passed</td>
          <td class="col-name">api/test_inspect.py::test_inspect_valid_data[labels0-True-2-EMAIL_ADDRESS-likelihood0]</td>
          <td class="col-duration">1.27</td>
          <td class="col-links"></td></tr>
        <tr>
          <td class="extra" colspan="4">
            <div class="log"> ------------------------------Captured stdout call------------------------------ <br/>labels to generate payload for: [&#x27;email&#x27;]
<br/> -------------------------------Captured log call-------------------------------- <br/>[32mINFO    [0m test_inspect:test_inspect.py:73 CONTENT: Sample input is email@example.name
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;Sample input is email@example.name&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m lib.Borneo.Validator:Validator.py:13 {&#x27;result&#x27;: {&#x27;findings&#x27;: [{&#x27;infoType&#x27;: {&#x27;name&#x27;: &#x27;EMAIL_ADDRESS&#x27;}, &#x27;likelihood&#x27;: &#x27;LIKELY&#x27;, &#x27;location&#x27;: {&#x27;byteRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;34&#x27;}, &#x27;codepointRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;34&#x27;}}, &#x27;createTime&#x27;: &#x27;2021-09-26T11:43:56.840Z&#x27;, &#x27;findingId&#x27;: &#x27;2021-09-26T11:43:56.897921Z4518931346656971685&#x27;}]}}
[32mINFO    [0m test_inspect:test_inspect.py:73 CONTENT: Sample input is email@example.museum
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;Sample input is email@example.museum&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m lib.Borneo.Validator:Validator.py:13 {&#x27;result&#x27;: {&#x27;findings&#x27;: [{&#x27;infoType&#x27;: {&#x27;name&#x27;: &#x27;EMAIL_ADDRESS&#x27;}, &#x27;likelihood&#x27;: &#x27;LIKELY&#x27;, &#x27;location&#x27;: {&#x27;byteRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;36&#x27;}, &#x27;codepointRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;36&#x27;}}, &#x27;createTime&#x27;: &#x27;2021-09-26T11:43:57.481Z&#x27;, &#x27;findingId&#x27;: &#x27;2021-09-26T11:43:57.489829Z439474076181236735&#x27;}]}}<br/></div></td></tr></tbody>
      <tbody class="passed results-table-row">
        <tr>
          <td class="col-result">Passed</td>
          <td class="col-name">api/test_inspect.py::test_inspect_valid_data[labels1-True-2-US_SOCIAL_SECURITY_NUMBER-likelihood1]</td>
          <td class="col-duration">1.19</td>
          <td class="col-links"></td></tr>
        <tr>
          <td class="extra" colspan="4">
            <div class="log"> ------------------------------Captured stdout call------------------------------ <br/>labels to generate payload for: [&#x27;ssn&#x27;]
<br/> -------------------------------Captured log call-------------------------------- <br/>[32mINFO    [0m test_inspect:test_inspect.py:73 CONTENT: Sample input is 167-86-0766
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;Sample input is 167-86-0766&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m lib.Borneo.Validator:Validator.py:13 {&#x27;result&#x27;: {&#x27;findings&#x27;: [{&#x27;infoType&#x27;: {&#x27;name&#x27;: &#x27;US_SOCIAL_SECURITY_NUMBER&#x27;}, &#x27;likelihood&#x27;: &#x27;POSSIBLE&#x27;, &#x27;location&#x27;: {&#x27;byteRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;27&#x27;}, &#x27;codepointRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;27&#x27;}}, &#x27;createTime&#x27;: &#x27;2021-09-26T11:43:58.093Z&#x27;, &#x27;findingId&#x27;: &#x27;2021-09-26T11:43:58.104126Z5298248821415359136&#x27;}]}}
[32mINFO    [0m test_inspect:test_inspect.py:73 CONTENT: Sample input is 465-58-4926
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;Sample input is 465-58-4926&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m lib.Borneo.Validator:Validator.py:13 {&#x27;result&#x27;: {&#x27;findings&#x27;: [{&#x27;infoType&#x27;: {&#x27;name&#x27;: &#x27;US_SOCIAL_SECURITY_NUMBER&#x27;}, &#x27;likelihood&#x27;: &#x27;POSSIBLE&#x27;, &#x27;location&#x27;: {&#x27;byteRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;27&#x27;}, &#x27;codepointRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;27&#x27;}}, &#x27;createTime&#x27;: &#x27;2021-09-26T11:43:58.671Z&#x27;, &#x27;findingId&#x27;: &#x27;2021-09-26T11:43:58.682675Z1662751242389161324&#x27;}]}}<br/></div></td></tr></tbody>
      <tbody class="passed results-table-row">
        <tr>
          <td class="col-result">Passed</td>
          <td class="col-name">api/test_inspect.py::test_inspect_valid_data[labels2-True-2-CREDIT_CARD_NUMBER-likelihood2]</td>
          <td class="col-duration">1.21</td>
          <td class="col-links"></td></tr>
        <tr>
          <td class="extra" colspan="4">
            <div class="log"> ------------------------------Captured stdout call------------------------------ <br/>labels to generate payload for: [&#x27;creditcard&#x27;]
<br/> -------------------------------Captured log call-------------------------------- <br/>[32mINFO    [0m test_inspect:test_inspect.py:73 CONTENT: Sample input is 2252804372437778
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;Sample input is 2252804372437778&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m lib.Borneo.Validator:Validator.py:13 {&#x27;result&#x27;: {&#x27;findings&#x27;: [{&#x27;infoType&#x27;: {&#x27;name&#x27;: &#x27;CREDIT_CARD_NUMBER&#x27;}, &#x27;likelihood&#x27;: &#x27;POSSIBLE&#x27;, &#x27;location&#x27;: {&#x27;byteRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;32&#x27;}, &#x27;codepointRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;32&#x27;}}, &#x27;createTime&#x27;: &#x27;2021-09-26T11:43:59.296Z&#x27;, &#x27;findingId&#x27;: &#x27;2021-09-26T11:43:59.306096Z7963256890044939220&#x27;}]}}
[32mINFO    [0m test_inspect:test_inspect.py:73 CONTENT: Sample input is 377171525337717
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;Sample input is 377171525337717&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m lib.Borneo.Validator:Validator.py:13 {&#x27;result&#x27;: {&#x27;findings&#x27;: [{&#x27;infoType&#x27;: {&#x27;name&#x27;: &#x27;CREDIT_CARD_NUMBER&#x27;}, &#x27;likelihood&#x27;: &#x27;POSSIBLE&#x27;, &#x27;location&#x27;: {&#x27;byteRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;31&#x27;}, &#x27;codepointRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;31&#x27;}}, &#x27;createTime&#x27;: &#x27;2021-09-26T11:43:59.886Z&#x27;, &#x27;findingId&#x27;: &#x27;2021-09-26T11:43:59.896033Z1357781184919097223&#x27;}]}}<br/></div></td></tr></tbody>
      <tbody class="passed results-table-row">
        <tr>
          <td class="col-result">Passed</td>
          <td class="col-name">api/test_inspect.py::test_inspect_valid_data[labels3-True-3-PHONE_NUMBER-likelihood3]</td>
          <td class="col-duration">1.86</td>
          <td class="col-links"></td></tr>
        <tr>
          <td class="extra" colspan="4">
            <div class="log"> ------------------------------Captured stdout call------------------------------ <br/>labels to generate payload for: [&#x27;phone-numbers&#x27;]
<br/> -------------------------------Captured log call-------------------------------- <br/>[32mINFO    [0m test_inspect:test_inspect.py:73 CONTENT: Sample input is (666)270-2329
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;Sample input is (666)270-2329&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m lib.Borneo.Validator:Validator.py:13 {&#x27;result&#x27;: {&#x27;findings&#x27;: [{&#x27;infoType&#x27;: {&#x27;name&#x27;: &#x27;PHONE_NUMBER&#x27;}, &#x27;likelihood&#x27;: &#x27;POSSIBLE&#x27;, &#x27;location&#x27;: {&#x27;byteRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;29&#x27;}, &#x27;codepointRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;29&#x27;}}, &#x27;createTime&#x27;: &#x27;2021-09-26T11:44:00.514Z&#x27;, &#x27;findingId&#x27;: &#x27;2021-09-26T11:44:00.525940Z3984719387114820472&#x27;}]}}
[32mINFO    [0m test_inspect:test_inspect.py:73 CONTENT: Sample input is (465)236-9142
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;Sample input is (465)236-9142&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m lib.Borneo.Validator:Validator.py:13 {&#x27;result&#x27;: {&#x27;findings&#x27;: [{&#x27;infoType&#x27;: {&#x27;name&#x27;: &#x27;PHONE_NUMBER&#x27;}, &#x27;likelihood&#x27;: &#x27;POSSIBLE&#x27;, &#x27;location&#x27;: {&#x27;byteRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;29&#x27;}, &#x27;codepointRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;29&#x27;}}, &#x27;createTime&#x27;: &#x27;2021-09-26T11:44:01.104Z&#x27;, &#x27;findingId&#x27;: &#x27;2021-09-26T11:44:01.113425Z8698892128586853867&#x27;}]}}
[32mINFO    [0m test_inspect:test_inspect.py:73 CONTENT: Sample input is 194-685-42417507
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;Sample input is 194-685-42417507&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m lib.Borneo.Validator:Validator.py:13 {&#x27;result&#x27;: {&#x27;findings&#x27;: [{&#x27;infoType&#x27;: {&#x27;name&#x27;: &#x27;PHONE_NUMBER&#x27;}, &#x27;likelihood&#x27;: &#x27;POSSIBLE&#x27;, &#x27;location&#x27;: {&#x27;byteRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;32&#x27;}, &#x27;codepointRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;32&#x27;}}, &#x27;createTime&#x27;: &#x27;2021-09-26T11:44:01.700Z&#x27;, &#x27;findingId&#x27;: &#x27;2021-09-26T11:44:01.759962Z1384441443946426006&#x27;}]}}<br/></div></td></tr></tbody>
      <tbody class="passed results-table-row">
        <tr>
          <td class="col-result">Passed</td>
          <td class="col-name">api/test_inspect.py::test_inspect_valid_data[labels4-True-3-IP_ADDRESS-likelihood4]</td>
          <td class="col-duration">2.29</td>
          <td class="col-links"></td></tr>
        <tr>
          <td class="extra" colspan="4">
            <div class="log"> ------------------------------Captured stdout call------------------------------ <br/>labels to generate payload for: [&#x27;ip-address&#x27;]
<br/> -------------------------------Captured log call-------------------------------- <br/>[32mINFO    [0m test_inspect:test_inspect.py:73 CONTENT: Sample input is 23.193.191.92
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;Sample input is 23.193.191.92&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m lib.Borneo.Validator:Validator.py:13 {&#x27;result&#x27;: {&#x27;findings&#x27;: [{&#x27;infoType&#x27;: {&#x27;name&#x27;: &#x27;IP_ADDRESS&#x27;}, &#x27;likelihood&#x27;: &#x27;POSSIBLE&#x27;, &#x27;location&#x27;: {&#x27;byteRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;29&#x27;}, &#x27;codepointRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;29&#x27;}}, &#x27;createTime&#x27;: &#x27;2021-09-26T11:44:02.363Z&#x27;, &#x27;findingId&#x27;: &#x27;2021-09-26T11:44:02.372290Z2003406596025291259&#x27;}]}}
[32mINFO    [0m test_inspect:test_inspect.py:73 CONTENT: Sample input is 182.64.238.33
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;Sample input is 182.64.238.33&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m lib.Borneo.Validator:Validator.py:13 {&#x27;result&#x27;: {&#x27;findings&#x27;: [{&#x27;infoType&#x27;: {&#x27;name&#x27;: &#x27;IP_ADDRESS&#x27;}, &#x27;likelihood&#x27;: &#x27;POSSIBLE&#x27;, &#x27;location&#x27;: {&#x27;byteRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;29&#x27;}, &#x27;codepointRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;29&#x27;}}, &#x27;createTime&#x27;: &#x27;2021-09-26T11:44:02.961Z&#x27;, &#x27;findingId&#x27;: &#x27;2021-09-26T11:44:03.019351Z8744025257466845077&#x27;}]}}
[32mINFO    [0m test_inspect:test_inspect.py:73 CONTENT: Sample input is 85.100.194.54
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;Sample input is 85.100.194.54&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m lib.Borneo.Validator:Validator.py:13 {&#x27;result&#x27;: {&#x27;findings&#x27;: [{&#x27;infoType&#x27;: {&#x27;name&#x27;: &#x27;IP_ADDRESS&#x27;}, &#x27;likelihood&#x27;: &#x27;POSSIBLE&#x27;, &#x27;location&#x27;: {&#x27;byteRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;29&#x27;}, &#x27;codepointRange&#x27;: {&#x27;start&#x27;: &#x27;16&#x27;, &#x27;end&#x27;: &#x27;29&#x27;}}, &#x27;createTime&#x27;: &#x27;2021-09-26T11:44:03.909Z&#x27;, &#x27;findingId&#x27;: &#x27;2021-09-26T11:44:03.963151Z3893884937475903949&#x27;}]}}<br/></div></td></tr></tbody>
      <tbody class="passed results-table-row">
        <tr>
          <td class="col-result">Passed</td>
          <td class="col-name">api/test_inspect.py::test_inspect_invalid_content[sumit@gmailcom]</td>
          <td class="col-duration">0.63</td>
          <td class="col-links"></td></tr>
        <tr>
          <td class="extra" colspan="4">
            <div class="log"> -------------------------------Captured log call-------------------------------- <br/>[32mINFO    [0m test_inspect:test_inspect.py:124 CONTENT: sumit@gmailcom
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;sumit@gmailcom&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m test_inspect:test_inspect.py:128 {}<br/></div></td></tr></tbody>
      <tbody class="passed results-table-row">
        <tr>
          <td class="col-result">Passed</td>
          <td class="col-name">api/test_inspect.py::test_inspect_invalid_content[sumit@@gmail.com]</td>
          <td class="col-duration">0.58</td>
          <td class="col-links"></td></tr>
        <tr>
          <td class="extra" colspan="4">
            <div class="log"> -------------------------------Captured log call-------------------------------- <br/>[32mINFO    [0m test_inspect:test_inspect.py:124 CONTENT: sumit@@gmail.com
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;sumit@@gmail.com&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m test_inspect:test_inspect.py:128 {}<br/></div></td></tr></tbody>
      <tbody class="passed results-table-row">
        <tr>
          <td class="col-result">Passed</td>
          <td class="col-name">api/test_inspect.py::test_inspect_invalid_content[sumit@gmail.c&amp;m]</td>
          <td class="col-duration">0.63</td>
          <td class="col-links"></td></tr>
        <tr>
          <td class="extra" colspan="4">
            <div class="log"> -------------------------------Captured log call-------------------------------- <br/>[32mINFO    [0m test_inspect:test_inspect.py:124 CONTENT: sumit@gmail.c&amp;m
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;sumit@gmail.c&amp;m&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m test_inspect:test_inspect.py:128 {}<br/></div></td></tr></tbody>
      <tbody class="passed results-table-row">
        <tr>
          <td class="col-result">Passed</td>
          <td class="col-name">api/test_inspect.py::test_inspect_invalid_content[IP is 0.0.0.256]</td>
          <td class="col-duration">0.58</td>
          <td class="col-links"></td></tr>
        <tr>
          <td class="extra" colspan="4">
            <div class="log"> -------------------------------Captured log call-------------------------------- <br/>[32mINFO    [0m test_inspect:test_inspect.py:124 CONTENT: IP is 0.0.0.256
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;IP is 0.0.0.256&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m test_inspect:test_inspect.py:128 {}<br/></div></td></tr></tbody>
      <tbody class="passed results-table-row">
        <tr>
          <td class="col-result">Passed</td>
          <td class="col-name">api/test_inspect.py::test_inspect_invalid_content[1.2.03.01]</td>
          <td class="col-duration">0.58</td>
          <td class="col-links"></td></tr>
        <tr>
          <td class="extra" colspan="4">
            <div class="log"> -------------------------------Captured log call-------------------------------- <br/>[32mINFO    [0m test_inspect:test_inspect.py:124 CONTENT: 1.2.03.01
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;1.2.03.01&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m test_inspect:test_inspect.py:128 {}<br/></div></td></tr></tbody>
      <tbody class="passed results-table-row">
        <tr>
          <td class="col-result">Passed</td>
          <td class="col-name">api/test_inspect.py::test_inspect_invalid_content[1.-1.1.1]</td>
          <td class="col-duration">0.60</td>
          <td class="col-links"></td></tr>
        <tr>
          <td class="extra" colspan="4">
            <div class="log"> -------------------------------Captured log call-------------------------------- <br/>[32mINFO    [0m test_inspect:test_inspect.py:124 CONTENT: 1.-1.1.1
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:46 DATA: {&quot;item&quot;: {&quot;value&quot;: &quot;1.-1.1.1&quot;}}
[32mINFO    [0m lib.Borneo.Inspector.Inspector:Inspector.py:47 URL: https://dlp.googleapis.com/v2/projects/qe-assignment/content:inspect
[32mINFO    [0m test_inspect:test_inspect.py:128 {}<br/></div></td></tr></tbody></table></body></html>